summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjaap aarts2018-03-22 15:36:46 +0100
committerjaap aarts2018-03-22 15:36:46 +0100
commit2f00a955e77d2018babc4ad898315d47f3b63651 (patch)
tree8039023e2f50cd6210a1c27e534b0e4e59c9c57a
parent0e34369b52bc016c188a83777f3355ab4ac808ca (diff)
parent52c52d1e665a661a171714560e753e897bca97ab (diff)
downloadaur-2f00a955e77d2018babc4ad898315d47f3b63651.tar.gz
Merge branch 'master' of ssh://aur.archlinux.org/synergy2-bin into bin-master
-rw-r--r--.gitignore1
-rw-r--r--synergy2-bin.install40
-rw-r--r--synergy2.install57
3 files changed, 40 insertions, 58 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 000000000000..f3cdb126bd6b
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+synergy2-bin.install~master
diff --git a/synergy2-bin.install b/synergy2-bin.install
index bc58a12d176d..b8a43c344b01 100644
--- a/synergy2-bin.install
+++ b/synergy2-bin.install
@@ -1,5 +1,16 @@
post_install() {
+ chmod 777 /var/log/synergy
+ chmod 777 /var/lib/synergy
+ chmod 777 /etc/synergy
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+ if [ "upgrade" != $1 ]; then
+ systemctl enable synergy.service >/dev/null || true
+ if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ systemctl restart synergy.service >/dev/null || true
+ fi
+ fi
+
if which update-icon-caches >/dev/null 2>&1 ; then
update-icon-caches /usr/share/icons/synergy.svg
fi
@@ -7,7 +18,13 @@ post_install() {
}
post_upgrade() {
- post_install
+ post_install "upgrade"
+}
+
+pre_remove() {
+ if [ -d /run/systemd/system ]; then
+ systemctl stop synergy.service >/dev/null
+ fi
}
post_remove() {
@@ -15,5 +32,26 @@ post_remove() {
if which update-icon-caches >/dev/null 2>&1 ; then
update-icon-caches /usr/share/icons/synergy.svg
fi
+ if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ fi
+
+ # In case this system is running systemd, we make systemd reload the unit files
+ # to pick up changes.
+ if [ -d /run/systemd/system ] ; then
+ systemctl --system daemon-reload >/dev/null || true
+ fi
+ if [ "$1" = "remove" ]; then
+ if [ -x "/usr/bin/deb-systemd-helper" ]; then
+ deb-systemd-helper mask synergy.service >/dev/null
+ fi
+ fi
+
+ if [ "$1" = "purge" ]; then
+ if [ -x "/usr/bin/deb-systemd-helper" ]; then
+ deb-systemd-helper purge synergy.service >/dev/null
+ deb-systemd-helper unmask synergy.service >/dev/null
+ fi
+ fi
update-desktop-database -q
}
diff --git a/synergy2.install b/synergy2.install
deleted file mode 100644
index b8a43c344b01..000000000000
--- a/synergy2.install
+++ /dev/null
@@ -1,57 +0,0 @@
-post_install() {
- chmod 777 /var/log/synergy
- chmod 777 /var/lib/synergy
- chmod 777 /etc/synergy
- xdg-icon-resource forceupdate --theme hicolor &> /dev/null
- if [ "upgrade" != $1 ]; then
- systemctl enable synergy.service >/dev/null || true
- if [ -d /run/systemd/system ]; then
- systemctl --system daemon-reload >/dev/null || true
- systemctl restart synergy.service >/dev/null || true
- fi
- fi
-
- if which update-icon-caches >/dev/null 2>&1 ; then
- update-icon-caches /usr/share/icons/synergy.svg
- fi
- update-desktop-database -q
-}
-
-post_upgrade() {
- post_install "upgrade"
-}
-
-pre_remove() {
- if [ -d /run/systemd/system ]; then
- systemctl stop synergy.service >/dev/null
- fi
-}
-
-post_remove() {
- xdg-icon-resource forceupdate --theme hicolor &> /dev/null
- if which update-icon-caches >/dev/null 2>&1 ; then
- update-icon-caches /usr/share/icons/synergy.svg
- fi
- if [ -d /run/systemd/system ]; then
- systemctl --system daemon-reload >/dev/null || true
- fi
-
- # In case this system is running systemd, we make systemd reload the unit files
- # to pick up changes.
- if [ -d /run/systemd/system ] ; then
- systemctl --system daemon-reload >/dev/null || true
- fi
- if [ "$1" = "remove" ]; then
- if [ -x "/usr/bin/deb-systemd-helper" ]; then
- deb-systemd-helper mask synergy.service >/dev/null
- fi
- fi
-
- if [ "$1" = "purge" ]; then
- if [ -x "/usr/bin/deb-systemd-helper" ]; then
- deb-systemd-helper purge synergy.service >/dev/null
- deb-systemd-helper unmask synergy.service >/dev/null
- fi
- fi
- update-desktop-database -q
-}